/**
 * siembra.js
 */

$(document).ready(function(){ 


	var titulo = document.querySelector("#titulo");
	var info_siembra = document.querySelector("#info-siembra");

	var ButtonSiembra = document.querySelector("#Siembra");
	var ButtonBack = document.querySelector("#back-button-siembra");

	var information = localStorage.getItem("information").split(";");
	titulo.innerHTML = information[0]; //tipo
	info_siembra.innerHTML = information[2]; //infoSiembra

	var dir_crecimiento = information[5]; //hacia arriba o hacia abajo
	var influencia_luna = document.querySelector("#influencia-luna");

	//Back btn
	if (ButtonBack){
		ButtonBack.addEventListener("click", function(){
			window.history.back();
		});
	}


	var btn_info = document.querySelector("#info-button");
	//Header btn
	if (btn_info){
		btn_info.addEventListener("click", function(){
			window.open("info.html", "info");
		});
	}

	if (ButtonSiembra){
		ButtonSiembra.addEventListener("click", function(){
			localStorage.setItem("alarma",2); //Indicamos que hay 2 alarmas qeu añadir (riego+cosecha) para que content.js la procese

			if (localStorage.getItem("influencia_luna") != "yes-always")
				window.location.assign("confirm.html");	
			else 
				window.location.assign("content.html");

		});
	}

	var MoonAge = moon_age(0); //Edad de la luna
	MoonAge = parseInt(MoonAge);
	if (MoonAge <= 15 && MoonAge != 0){//Luna creciente
		if (dir_crecimiento == "arriba"){
			if (MoonAge < 15)
				influencia_luna.innerHTML = "Es óptimo sembrar durante los próximos "+(15-MoonAge)+" días";
			else 
				influencia_luna.innerHTML = "Es óptimo sembrar durante el día de hoy";
		}//Arriba
		else if (dir_crecimiento == "abajo"){
			influencia_luna.innerHTML = "Sería recomendable sembrar dentro de entre "+(16-MoonAge)+" y "+(29-MoonAge)+" días";
		}//Abajo
	}//Luna creciente
	else if (MoonAge > 15 || MoonAge == 0){
		if (dir_crecimiento == "abajo"){
			if (MoonAge > 15)
				influencia_luna.innerHTML = "Es óptimo sembrar durante los próximos "+(30-MoonAge)+" días"; //30 para incluir luna nueva (age = 0)
			else
				influencia_luna.innerHTML = "Es óptimo sembrar durante el día de hoy";
		}
		else if (dir_crecimiento == "arriba")
			influencia_luna.innerHTML = "Sería recomendable sembrar dentro de entre "+(30-MoonAge)+" y "+(45-MoonAge)+" días"; //30+15 = 45 ; 15 días creciendo
	}//Luna decreciente


	var img_moon = document.querySelector("#img-moon");
	if (MoonAge==29 || MoonAge==0 || MoonAge==1)
		img_moon.setAttribute("src","images/moon/luna_nueva.png");
	else if (MoonAge == 6 || MoonAge == 7 || MoonAge == 8)
		img_moon.setAttribute("src","images/moon/cuarto_creciente.png");
	else if (MoonAge == 14 || MoonAge == 15 || MoonAge == 16)
		img_moon.setAttribute("src","images/moon/luna_llena.png");
	else if (MoonAge == 21 || MoonAge == 22 || MoonAge == 23)
		img_moon.setAttribute("src","images/moon/cuarto_menguante.png");
	else if (MoonAge>16 && MoonAge<21)
		img_moon.setAttribute("src","images/moon/menguante1.png");
	else if (MoonAge>1 && MoonAge<6)
		img_moon.setAttribute("src","images/moon/creciente1.png");
	else if (MoonAge>23 && MoonAge<29)
		img_moon.setAttribute("src","images/moon/menguante2.png");
	else if (MoonAge>8 && MoonAge<14)
		img_moon.setAttribute("src","images/moon/creciente2.png");

});//.ready